final_project_giftlist/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path

from gift.views import (
    AboutView,
    login_form_view,
    logout_view,
    # user_card,
    RegisterCreateView,
    UserPageView,
    register_confirmation
)


urlpatterns = [
    path("admin/", admin.site.urls),
    path("", include("gift.urls")),
    # path("profile/", user_card, name="profile"),
    path("profile/", UserPageView.as_view(), name="profile"),
    path("login/", login_form_view, name="login"),
    path("logout/", logout_view, name="logout"),
    path("register/", RegisterCreateView.as_view(), name="register"),
    path("confirmation/<uuid:uid>", register_confirmation, name="confirmation"),
    path("about/", AboutView.as_view(), name="about"),
    path("", AboutView.as_view(), name="index"),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

gift/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.urls import path

from gift.views import (
    DeleteRecordView,
    EventView,
    gift_create_view,
    gift_update_view,
    GiftView,
    person_create_view,
    person_update_view,
    PersonView,
    person_card, DeleteEventView, EventUpdateView, EventCreateView, GiftPageView,
)

app_name = "gift"
urlpatterns = [
    path("gifts/", GiftView.as_view(), name="gifts"),
    path("gift/<str:pk>/", GiftPageView.as_view(), name="gift"),
    path("gift/create/", gift_create_view, name="gift_create"),
    path("gift/update/<str:pk>/", gift_update_view, name="gift_update"),
    path("gift/delete/<str:pk>/", DeleteRecordView, name="gift_delete"),

    path("persons/", PersonView.as_view(), name="persons"),
    path("person/<str:pk>", person_card, name="person"),
    path("person/create/", person_create_view, name="person_create"),
    path("person/delete/<str:pk>/", DeleteRecordView, name="person_delete"),
    path("person/update/<str:pk>/", person_update_view, name="person_update"),
    #
    path("events", EventView.as_view(), name="events"),
    # path("event/<str:pk>/", EventPageView.as_view(), name="event"),
    path('event/create/', EventCreateView.as_view(), name='event_create'),
    path('event/update/<str:pk>/', EventUpdateView.as_view(), name='event_update'),
    path('event/delete/<str:pk>/', DeleteEventView.as_view(), name='event_delete'),
    #
    # path('profile/int:uid/', ProfileView.as_view(), name='profile'),
    # path('wishes/int:gid/', WishesView.as_view(), name='wishes'),
]

templates/about.html
{% extends "base.html" %}

{% block content %}
    <h1>About</h1>
    <p>This is project is about planning gifts and surprises for your relatives and friends, not forget their birthdays and another important days for give them gift or send a message to make a joy.</p>
    <p>Another important function is make your own list of wishes to tell others what would you like to get, insted of another new socks for example. :)</p>
{% endblock %}

templates/base.html
{% load static %}

<html {% if LANGUAGE_CODE %}lang="{{ LANGUAGE_CODE }}"{% endif %}>

  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Gift planner</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
    <link rel="stylesheet" type="text/css" media="screen" href="{% static 'css/styles.css' %}">
    <link rel="shortcut icon" type="image/x-icon" href="{% static 'img/favicon.ico' %}">
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <div class="container fixed">

        <a class="navbar-brand" href="{% url 'profile'%}"><img src="{% static 'img/logo_gift_white.gif' %}"></a>
        <!-- tlačítko pre rozbaľovanie menu na úzkych obrazovkách -->
        <button
          class="navbar-toggler" type="button"
          data-toggle="collapse" data-target="#navbarNavAltMarkup"
        >
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <!-- jednotlivé prvky menu -->
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'about' %}">
              About
            </a>
          </div>
          {% if request.user.is_authenticated %}
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'gift:gifts' %}">
              List of gifts
            </a>
          </div>
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'gift:persons' %}">
              My persons
            </a>
          </div>
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'gift:events' %}">
              List of events
            </a>
          </div>

          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'logout' %}">
              Logout
            </a>

          </div>
          {% else %}
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'login' %}">
              Login
            </a>
          </div>
          <div class="navbar-nav">
            <a class="nav-item nav-link active" href="{% url 'register' %}">
              Register
            </a>
          </div>
          {% endif %}
        </div>
      </div>
    </nav>



    <main class="container">
      <div class="jumbotron mainbox">
            {% if messages %}
            <div>
                <ul class="messages">
                    {% for message in messages %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
                        {{ message }}
                    </li>
                    {% endfor %}
                </ul>
            </div>
            {% endif %}

        {% block content %}{% endblock %}

      </div>
    </main>

    <!-- zápätie -->
    <footer>
        <div id="footdiv" class="container-fluid fixed-bottom">
          <div class="container">
            <p>MS 2021</p>
          </div>
        </div>
    </footer>

  </body>

</html>

templates/login_form.html
{% extends 'base.html' %}

{% block content %}
<article>
    <h2>login</h2>

    <form action="" method="POST">
        {%  csrf_token %}
        <div class="container-form-main">
            <div class="container-form-pair item-form-child-1">
                <input type="text" name="username" placeholder="username">
                <input type="password" name="password" placeholder="enter password">
                <input type="submit" value="Submit" class="btn btn-info">
            </div>
            <div class="container-form-colpair item-form-child-1">

                <p>OR</p>
                <a href="{% url 'register' %}" class="btn btn-secondary btn-standard">register</a>
            </div>
        </div>
        <div>

        </div>

    </form>
</article>
{% endblock %}

templates/login_form2.html
{% extends "base.html" %}

{% block content %}
    <form method="POST">
    {% csrf_token %}
    <table>{{ form }}</table>
    <input type="submit" value="Submit" class="btn btn-info">
    </form>
{% endblock %}

templates/register_form.html
{% extends "base.html" %}

{% block content %}
    <form method="POST">
    {% csrf_token %}
    <table>{{ form }}</table>
    <input type="submit" value="Submit" class="btn btn-info">
    </form>
{% endblock %}